<?php
/**
 * 
 * @file config.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/template.php');
require_once('class_config.php');

$url = 'mod_config/config.php';
Common::checkAdminFileAuth($url); //check file authority
$clComConfig = new ComConfig();
$clTemplate = new Template(getAdminTemplateDir($url));

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];

switch ($act) {
    case 'up':
    case 'down':
        $clComConfig -> orderbyRecords();
        break;
    case 'delete':
        $clComConfig -> deleteRecords();
        break;
    case 'setfile':
        $clComConfig -> setFileConfig();
        break;
} 
$clComConfig -> layoutConfig();

?>
